﻿#language: ru

Функционал: Создание документа Комплектация тары

Сценарий: Комплектация тары из двух сыров
	Дано Я подключаюсь под "milk_prod_Цех созревания сыра"
	И В командном интерфейсе я выбираю 'Производство' 'Комплектации тар'
	Тогда открылось окно 'Комплектации тар'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Комплектация тары (создание)'
	И в поле 'от' я ввожу текст '05.10.2020 15:20:11'
	И из выпадающего списка "Склад" я выбираю по строке 'milk_prod_упак'
	И я нажимаю кнопку выбора у поля с именем "Тара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''     |
		| 'Тара' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Тип'  |
 		| 'milk_prod_Рама' |
	И в таблице "Список" я активизирую поле "Тип"
	И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюПоискПоТекущемуЗначению' на элементе формы с именем "Список"
	И в таблице "Список" я перехожу к строке:
		| 'Штрих код'   |
		| '06000000003' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я добавляю строку
	И в таблице "Товары" из выпадающего списка с именем "ТоварыНоменклатура" я выбираю по строке 'milk_prod_пош'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыХарактеристика" я выбираю по строке 'на'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Наименование' | 'Номер' |
		| '05.10.2020'   | '05.10.2020/2' | '2'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество' я ввожу текст '50,000'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество1' я ввожу текст '10,000'
	И в таблице "Товары" я добавляю строку
	И в таблице "Товары" из выпадающего списка с именем "ТоварыНоменклатура" я выбираю по строке 'milk_prod_рос'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыХарактеристика" я выбираю по строке 'на '
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Наименование' | 'Номер' |
		| '05.10.2020'   | '05.10.2020/1' | '1'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество' я ввожу текст '100,000'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество1' я ввожу текст '20,000'
	И в таблице "Товары" я перехожу к строке:
		| 'N' | 'Серия'             | 'Характеристика'    |
		| '1' | '<не используются>' | '<не используются>' |
	И я выбираю пункт контекстного меню с именем 'ТоварыКонтекстноеМенюУдалить' на элементе формы с именем "Товары"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Комплектация тары (создание) *' в течение 20 секунд
	Тогда открылось окно 'Комплектации тар'
	И Я закрываю окно 'Комплектации тар'

Сценарий: 02_milk_production.02.005 Закрытие клиента
	И я закрываю сеанс TESTCLIENT